%global debug_package %{nil}

# yubioath-desktop
%global commit0 1d3fae1d86f4e9990e9f0b7cbff89a54aac63134
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

# pyotherside
%global commit1 fdb5950acd1fc14eb8926ab939594a95c9602a79
%global shortcommit1 %(c=%{commit1}; echo ${c:0:7})

# qt-solutions
%global commit2 5eac28ccd8bfdcad0000d053519547c8ad8991fe
#%global gittag2 notags
%global shortcommit2 %(c=%{commit2}; echo ${c:0:7})

# yubikey-manager
%global commit3 ec4a88a9dcd6d9c748637daec96cd5032cd7a601
%global shortcommit3 %(c=%{commit3}; echo ${c:0:7})

Name:		yubioath-desktop
Version:	4.1.3
Release:	1%{?dist}
Summary:	Yubikey tool for generating OATH event-based HOTP and time-based TOTP codes

License:	BSD
URL:		https://github.com/Yubico/yubioath-desktop
Source0:	https://github.com/Yubico/%{name}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz
Source1:	https://github.com/thp/pyotherside/archive/%{commit1}.tar.gz#/pyotherside-%{shortcommit1}.tar.gz
Source2:	https://github.com/qtproject/qt-solutions/archive/%{commit2}.tar.gz#/qt-solutions-%{shortcommit2}.tar.gz
Source3:	https://github.com/Yubico/yubikey-manager/archive/%{commit3}.tar.gz#/yubikey-manager-%{shortcommit3}.tar.gz

BuildRequires:		qt5-qtbase-devel qt5-qtdeclarative-devel qt5-qtsvg-devel gcc-c++ python3-devel python desktop-file-utils
Requires:		pyotherside qt5-qtdeclarative qt5-qtquickcontrols pcsc-lite-ccid yubikey-manager
Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils

%description
The Yubico Authenticator is a graphical desktop tool and CLI for generating
Open AuTHentication (OATH) event-based HOTP and time-based TOTP one-time
password codes, with the help of a YubiKey that protects the shared secrets.

%prep
%autosetup -n %{name}-%{commit0}
%setup -D -n %{name}-%{commit0} -a 1
%setup -D -n %{name}-%{commit0} -a 2
%setup -D -n %{name}-%{commit0} -a 3
rmdir vendor/*
mv -f pyotherside-%{commit1} vendor/pyotherside
mv -f qt-solutions-%{commit2} vendor/qt-solutions
mv -f yubikey-manager-%{commit3} vendor/yubikey-manager

%build
cd vendor/pyotherside
qmake-qt5
%make_build
cd ../..
qmake-qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{_builddir}/%{buildsubdir}/resources/yubioath.desktop

# icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/128x128/apps
cp %{_builddir}/%{buildsubdir}/resources/icons/yubioath.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps

%files
%license COPYING
%doc NEWS README
%{_bindir}/*
%{_datadir}/icons/hicolor/128x128/apps/*
%{_datadir}/applications/*

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
/usr/bin/update-desktop-database &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%changelog
* Mon Aug 21 2017 Seth Jennings <sethdjennings@gmail.com> - 4.1.3-1
- Upstream release.

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Sep 27 2016 Seth Jennings <spartacus06@gmail.com> - 3.0.1-2
- Fix desktop application executable name

* Mon Jul 25 2016 Seth Jennings <spartacus06@gmail.com> - 3.0.1-1
- Upstream release.

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jan 28 2016 Seth Jennings <spartacus06@gmail.com> - 2.3.0-2
- Add pyusb as a required package to avoid python ImportError (#1302895).

* Fri Nov 20 2015 Seth Jennings <spartacus06@gmail.com> - 2.3.0-1
- Upstream release.

* Thu Aug 27 2015 Seth Jennings <spartacus06@gmail.com> - 2.2.1-1
- Upstream release.

* Thu Aug 06 2015 Seth Jennings <spartacus06@gmail.com> - 2.1.1-3
- Use __python2 macro.

* Thu Aug 06 2015 Seth Jennings <spartacus06@gmail.com> - 2.1.1-2
- Add pcsc-lite-ccid requirement

* Thu Aug 06 2015 Seth Jennings <spartacus06@gmail.com> - 2.1.1-1
- Initial package release.
